Page MenuHomePhabricator

Warning: Cannot modify header information - headers already sent in /srv/mediawiki/php-1.29.0-wmf.10/includes/WebResponse.php on line 45
Closed, ResolvedPublic

Description

This warning seems to have started with the 1.29.0-wmf.10 deploy.

Here is not much more information in logstash than is provided by the warning message: https://logstash.wikimedia.org/goto/ddb4c133e05d33fe6ecb3de91324090e

Details

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2017, 10:57 PM
thcipriani triaged this task as Medium priority.Feb 15 2017, 4:56 PM

HHVM supports header_register_callback(), so it would be easy enough to log a backtrace collected from the point where headers were initially sent.

Change 338705 had a related patch set uploaded (by Tim Starling):
Log a backtrace from the culprit location if headers were already sent

https://gerrit.wikimedia.org/r/338705

Change 338705 merged by jenkins-bot:
Log a backtrace from the culprit location if headers were already sent

https://gerrit.wikimedia.org/r/338705

mmodell closed this task as Resolved.Mar 7 2017, 10:13 PM
mmodell claimed this task.
mmodell reassigned this task from mmodell to tstarling.
mmodell awarded a token.
mmodell added a subscriber: mmodell.
Zoglun added a subscriber: Zoglun.Jul 4 2017, 4:17 AM

I got similar error report in MW 1.28.2.
"PHP message: PHP Warning: Cannot modify header information - headers already sent by (output started at /var/www/wiki/includes/actions/RawAction.php:115) in /var/www/wiki/includes/WebResponse.php on line 45

Is there any fast fix for MW 1.28?
I tried to replace some file from https://gerrit.wikimedia.org/r/#/c/338705/. But my wiki crash.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM